#include "byte_code.h"

class loop2 {
public:
static void main(string_vector_type & args) {
	int arg1,arg2;
	const char * ptr;
	void * ptr1;
	void * var[2];
	int count;
	IPUSH(0)
	ISTORE(0)
L1:
	LDC("HELLO, WORLD!")
	INVOKESTATIC(IO::println,""(Ljava/lang/String;)V"")
	ILOAD(0)
	IPUSH(1)
	IADD()
	ISTORE(0)
	ILOAD(0)
	IPUSH(10)
	IF_ICMPEQ(L2)
	GOTO(L1)
L2:
	RETURN()
}

};

int
main(int argc, char ** argv)
{
   try {
      string_vector_type args;
      stack_type rt_stack;
      the_stack = &rt_stack;
      for(int i = 1; i < argc; i++)
         args.push_back(argv[i]);
      loop2::main(args);
   }
   catch(...) {
      cerr << "exception..." << endl;
      exit(1);
   }
   return 0;
}
